Subject: Re: Rend-ATI???

From: [email-masked]
Date: Tue, 12 Oct 93 23:44:57 EDT

Actually, I don't see why different video modes will need completely
different video drivers.  In my experience, the fastest way to write to a
graphics screen is to first call interrupt 10h with ax=video mode (i.e. $0013
for 320x200x256) and then use mem[$A000:x+y*xres] = color; to draw a pixel. 
It would be a simple matter to simply change ax and the resoltuion in x and y
axes...

For example, 640x480x65k can be invoked by using ax=$0072.  (Or is that
16.7M...  I don't have my video mode list in front of me at the moment.)

In any case, unless if you want to optimize for a specific card, there's no
reason to worry about compatibility issues.

[email-masked]